> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a vacation pay setting



## OpenAPI

````yaml /spec/openapi.json post /vacation_pay_settings
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /vacation_pay_settings:
    post:
      tags:
        - Vacation Pay Settings
      summary: Create a vacation pay setting
      operationId: vacation-pay-settings-store
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    work_assignment_id:
                      type: string
                    effective_from:
                      type: string
                      format: date
                    effective_to:
                      type: string
                      format: date
                    percentage:
                      type: number
                      format: decimal
                      minimum: 0
                      maximum: 100
                    vacation_pay_method:
                      type: string
                      enum:
                        - manual
                        - per_period
                    overrides:
                      type: array
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - allowance
                              - earning
                              - reimbursement
                          subtype:
                            type: string
                          percentage:
                            type: number
                            format: decimal
                            minimum: 0
                            maximum: 100
                          method:
                            type: string
                            enum:
                              - manual
                              - per_period
                    note:
                      type: string
                      nullable: true
                - type: object
                  required:
                    - work_assignment_id
                    - effective_from
                    - percentage
            example:
              work_assignment_id: <id>
              effective_from: '2026-01-01'
              percentage: 4
              vacation_pay_method: manual
              note: Vacation Pay
              overrides:
                - type: earning
                  subtype: commission
                  percentage: 3
                  method: per_period
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"vacation_pay_setting"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/VacationPaySetting'
              example:
                id: <id>
                object: vacation_pay_setting
                data:
                  percentage: 4
                  vacation_pay_method: manual
                  effective_from: '2026-01-01'
                  effective_to: null
                  earliest_valid_effective_to: '2026-01-01'
                  is_editable: true
                  is_deletable: true
                  work_assignment:
                    id: <id>
                    object: work_assignment
                    links:
                      self: /work_assignments/<id>
                  note: Vacation Pay
                  overrides:
                    - type: earning
                      subtype: commission
                      percentage: '3'
                      method: per_period
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /vacation_pay_settings/<id>
components:
  schemas:
    VacationPaySetting:
      type: object
      title: Vacation Pay Setting
      properties:
        percentage:
          type: number
          format: decimal
        vacation_pay_method:
          type: string
          enum:
            - manual
            - per_period
        effective_from:
          type: string
          format: date
        effective_to:
          type: string
          nullable: true
          format: date
        earliest_valid_effective_to:
          type: string
          nullable: true
          format: date
        is_editable:
          type: boolean
          description: When false, only the `effective_to` attribute may be updated.
        is_deletable:
          type: boolean
        work_assignment:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"work_assignment"`).
              readOnly: true
        note:
          type: string
          nullable: true
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````